> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Email notifications

> Turn Sendforsign email notifications on or off for a client: signing and approval requests, signed and approved contracts.

Email notifications are updated for the specific client key you use when updating the settings.

By default, Sendforsign sends email notifications for various types of events: signing and approval
requests, contract signed, and contract approved. You can disable these notifications if you prefer to use
your own email vendor. To disable notifications for `contract.approved` and `contract.signed`,
use the request provided below.

### Body parameters

**data** `object` *required*

**child attribute**

**type** `string` *required*

Settings type.

**clientKey** `string` *required*

Key of the client.

**notification** `object` *required*

Structure.

**child attribute**

**approved** `boolean`

Settings to change: send email notifications on `contract.approved`.

**signed** `boolean`

Settings to change: send email notifications on `contract.signed`.

### Response

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/settings' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{
    "data": {
        "type": "email_notifications",
        "clientKey": "YOUR_CLIENT_KEY",
        "notification": 
            {
                "approved": false,
                "signed": false
            }
    }
}'
```

```json Response theme={null}
{
    "code": "201",
    "message": "Settings updated"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.